import React, { Component } from 'react';
import './index.scss'
import Container from './container'
import SingleAnswerQuestion from "@components/interactive-study/single-answer-question"
import Program from "@components/interactive-study/program"
import { WithFullSize } from "@/HOCs"


class InteractiveStudy extends Component {
  singleIcon = 'https://julyedu-cdn.oss-cn-beijing.aliyuncs.com/interactive_tutorial/study/single-answer-icon.png'
  programIcon = 'https://julyedu-cdn.oss-cn-beijing.aliyuncs.com/interactive_tutorial/study/program-icon.png'
  state = {
    options: [
      'A. 程序向屏幕输出信息的过程，是人与计算机的单向沟通。',
      'B. 程序向内部输入信息的过程。',
      'C. 程序向内部输入信息的过程。',
    ],
    img: 'https://julyedu-cdn.oss-cn-beijing.aliyuncs.com/weekend/bigdata/project/07.png'
  }

  componentDidMount() {

  }

  render() {
    return (
      <div id={'interactive-study'}>
        <Container user={'https://julyedu-img-public.oss-cn-beijing.aliyuncs.com/Public/Image/home/avatar_20191104.png'}
                   content={'Hi！初次见面，我叫小柒，是你在七月在线的课程导师。从现在开始，你就要跟着我一起学Python啦，请敲回车键继续课程。'}/>
        <SingleAnswerQuestion user={this.singleIcon} topic={'请问，你会推荐哪个物品给用户C？'} options={this.state.options}
                              img={this.state.img}/>
        <Program user={this.programIcon} code={"week = ['星期一', '星期二', '星期三']\nprint(123)"}/>
      </div>
    );
  }
}

export default WithFullSize(InteractiveStudy);