import React, { Component } from 'react';
import './index.scss'
import Container from '../container'
import AceEditor from 'react-ace'
import 'ace-builds/src-min-noconflict/theme-dracula'
import 'ace-builds/src-min-noconflict/mode-python'
import StatusBar from './status-bar'
const {First, Normal} = StatusBar

class Program extends Component {
  editor = null

  state = {
    editorWidth: '',
  }

  componentDidMount() {
    const content = document.querySelector('.container .content')
    const contentStyles = window.getComputedStyle(content)
    const contentWidth = content.clientWidth
    const contentPaddingLeft = parseFloat(contentStyles.getPropertyValue('padding-left'))
    this.setState({
      editorWidth: `${contentWidth - contentPaddingLeft}px`
    })
  }

  onLoad = editor => {
    this.editor = editor
  }


  render() {
    const {editorWidth} = this.state
    const {user, code} = this.props
    return (
      <Container
        user={user}
        content={
          <div className="program">
            <AceEditor
              name={'ace-editor'}
              mode={'python'}
              theme={'dracula'}
              readOnly={true}
              value={code}
              width={editorWidth}
              height={'141px'}
              onLoad={this.onLoad}
            />
            <Normal/>
          </div>
        }
      />
    );
  }
}

export default Program;