import React from 'react';
import './index.scss'
import classnames from "classnames";


const Base = ({children, className}) => {
  return (
    <div className={classnames(['base-status-bar', className])}>
      {children}
    </div>
  );
};

const First = ({execute}) => {
  return <Base className={'first'}>
    <div className="hint">当前环境暂不支持编写程序，可前往PC端练习或点击按钮</div>
    <button className={'btn'} onClick={execute}>运行并查看结果</button>
  </Base>
}

const Normal = ({execute, checkAnswer}) => {
  return <Base className={'normal'}>
    <button className={'check-answer'} onClick={checkAnswer}>查看参考答案</button>
    <button className={'btn'} onClick={execute}>运行</button>
  </Base>
}

const Pass = () => {
  return <Base className={'pass'}>
    <i className={'iconfont icondanseshixintubiao-3'}></i>
    <span>运行通过</span>
  </Base>
}

export default {
  First,
  Normal
};