import React, { Component } from 'react';
import './index.scss'
import Container from '../container'
import classnames from 'classnames'

class SingleAnswerQuestion extends Component {

  state = {
    correct: '',
    wrong: ''
  }

  handleSelect = index => {
    this.setState({
      wrong: index
    })
  }

  render() {
    const {correct, wrong} = this.state
    const {user, topic, img, options} = this.props
    return (
      <Container
        user={user}
        content={
          <div className={'single-answer-question'}>
            <div className="topic">{topic}</div>
            {img && <img src={img} alt=""/>}
            <ul>
              {
                options && !!options.length && options.map((item, index) => {
                  return <li
                    className={classnames(['option', {'correct': index === correct, 'wrong': index === wrong}])}
                    key={index}
                    onClick={this.handleSelect.bind(this, index)}>{item}</li>
                })
              }
            </ul>
          </div>
        }
      />
    );
  }
}

export default SingleAnswerQuestion;